# vim: set ts=4 sw=4 et:

Name:           mppenc
Version:        1.16
Release:        1699.4.pm.4
Summary:        Command-Line Musepack Encoder
Source:         http://files.musepack.net/source/mppenc-%{version}.tar.bz2
Patch1:         mppenc-fix_cc_options.patch
URL:            http://www.musepack.net/index.php?pg=lin
Group:          Productivity/Multimedia/Sound/Editors and Convertors
License: GPL-2.0
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gcc cmake glibc-devel

%description
Musepack is an audio compression format with a strong emphasis on high
quality. It's not lossless, but it is designed for transparency, so that you
won't be able to hear differences between the original wave file and the much
smaller MPC file.
It is based on the MPEG-1 Layer-2 / MP2 algorithms, but since 1997 it has
rapidly developed and vastly improved and is now at an advanced stage in which
it contains heavily optimized and patentless code.

%prep
%setup -q
%patch -P 1

%build
%__mkdir build
pushd build

CFLAGS="%{optflags}" \
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DCMAKE_STRIP="/usr/bin/touch" \
    ..

%__make %{?_smp_flags} VERBOSE=1
popd

%install
pushd build
%makeinstall
popd

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changelog 
%{_bindir}/mppenc

%changelog
* Fri Mar 27 2015 avvissu@yandex.ru
- Fix build on openSUSE > 13.2: use popd with no arguments
* Sun Jul 27 2008 guru@unixtech.be
- new package
